Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.i18n
Class Messages

    java.lang.Object
      org.apache.axis2.i18n.Messages

    public class Messages

extends java.lang.Object

Field Summary
`static java.lang.String` | `DEFAULT_MESSAGE_BUNDLE_KEY`

Constructor Summary
`Messages()`

Method Summary
`static void` | `addMessageBundle(java.lang.String messageBundleKey, MessageBundle messageBundle)` To add a new Message Bundle to the MessageBundle list.
`static java.lang.String` | `getMessage(java.lang.String key)` Get a message from resource.properties from the package of the given object.
`static java.lang.String` | `getMessage(java.lang.String key, java.lang.String arg0)` Get a message from resource.properties from the package of the given object.
`static java.lang.String` | `getMessage(java.lang.String key, java.lang.String[] args)` Get a message from resource.properties from the package of the given object.
`static java.lang.String` | `getMessage(java.lang.String key, java.lang.String arg0, java.lang.String arg1)` Get a message from resource.properties from the package of the given object.
`static java.lang.String` | `getMessage(java.lang.String key, java.lang.String arg0, java.lang.String arg1, java.lang.String arg2)` Get a message from resource.properties from the package of the given object.
`static java.lang.String` | `getMessage(java.lang.String key, java.lang.String arg0, java.lang.String arg1, java.lang.String arg2, java.lang.String arg3)` Get a message from resource.properties from the package of the given object.
`static java.lang.String` | `getMessage(java.lang.String key, java.lang.String arg0, java.lang.String arg1, java.lang.String arg2, java.lang.String arg3, java.lang.String arg4)` Get a message from resource.properties from the package of the given object.
`static MessageBundle` | `getMessageBundle()`
`static MessageBundle` | `getMessageBundle(java.lang.String messageBundleKey)`
`static java.lang.String` | `getMessageFromBundle(java.lang.String messageBundleKey, java.lang.String key)` Get a message from resource.properties from the package of the given object.
`static java.lang.String` | `getMessageFromBundle(java.lang.String messageBundleKey, java.lang.String key, java.lang.String arg0)` Get a message from resource.properties from the package of the given object.
`static java.lang.String` | `getMessageFromBundle(java.lang.String messageBundleKey, java.lang.String key, java.lang.String arg0, java.lang.String arg1)` Get a message from resource.properties from the package of the given object.
`static java.lang.String` | `getMessageFromBundle(java.lang.String messageBundleKey, java.lang.String key, java.lang.String arg0, java.lang.String arg1, java.lang.String arg2)` Get a message from resource.properties from the package of the given object.
`static java.lang.String` | `getMessageFromBundle(java.lang.String messageBundleKey, java.lang.String key, java.lang.String arg0, java.lang.String arg1, java.lang.String arg2, java.lang.String arg3)` Get a message from resource.properties from the package of the given object.
`static java.lang.String` | `getMessageFromBundle(java.lang.String messageBundleKey, java.lang.String key, java.lang.String arg0, java.lang.String arg1, java.lang.String arg2, java.lang.String arg3, java.lang.String arg4)` Get a message from resource.properties from the package of the given object.
`static java.util.ResourceBundle` | `getResourceBundle()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_MESSAGE_BUNDLE_KEY

    public static final java.lang.String DEFAULT_MESSAGE_BUNDLE_KEY

See Also:
  Constant Field Values

Constructor Detail

### Messages

    public Messages()

Method Detail

### addMessageBundle

    public static void addMessageBundle(java.lang.String messageBundleKey,
                                        MessageBundle messageBundle)

  To add a new Message Bundle to the MessageBundle list.

  Parameters:
    `messageBundleKey` - The key which will be used to refer to this message bundle later.
    `messageBundle` - The message bundle.

### getMessage

    public static java.lang.String getMessage(java.lang.String key)
                                       throws java.util.MissingResourceException

  Get a message from resource.properties from the package of the given object.

  Parameters:
    `key` - The resource key
  Returns:
    The formatted message
  Throws:
    `java.util.MissingResourceException`

### getMessage

    public static java.lang.String getMessage(java.lang.String key,
                                              java.lang.String arg0)
                                       throws java.util.MissingResourceException

  Get a message from resource.properties from the package of the given object.

  Parameters:
    `key` - The resource key
    `arg0` - The argument to place in variable {0}
  Returns:
    The formatted message
  Throws:
    `java.util.MissingResourceException`

### getMessage

    public static java.lang.String getMessage(java.lang.String key,
                                              java.lang.String arg0,
                                              java.lang.String arg1)
                                       throws java.util.MissingResourceException

  Get a message from resource.properties from the package of the given object.

  Parameters:
    `key` - The resource key
    `arg0` - The argument to place in variable {0}
    `arg1` - The argument to place in variable {1}
  Returns:
    The formatted message
  Throws:
    `java.util.MissingResourceException`

### getMessage

    public static java.lang.String getMessage(java.lang.String key,
                                              java.lang.String arg0,
                                              java.lang.String arg1,
                                              java.lang.String arg2)
                                       throws java.util.MissingResourceException

  Get a message from resource.properties from the package of the given object.

  Parameters:
    `key` - The resource key
    `arg0` - The argument to place in variable {0}
    `arg1` - The argument to place in variable {1}
    `arg2` - The argument to place in variable {2}
  Returns:
    The formatted message
  Throws:
    `java.util.MissingResourceException`

### getMessage

    public static java.lang.String getMessage(java.lang.String key,
                                              java.lang.String arg0,
                                              java.lang.String arg1,
                                              java.lang.String arg2,
                                              java.lang.String arg3)
                                       throws java.util.MissingResourceException

  Get a message from resource.properties from the package of the given object.

  Parameters:
    `key` - The resource key
    `arg0` - The argument to place in variable {0}
    `arg1` - The argument to place in variable {1}
    `arg2` - The argument to place in variable {2}
    `arg3` - The argument to place in variable {3}
  Returns:
    The formatted message
  Throws:
    `java.util.MissingResourceException`

### getMessage

    public static java.lang.String getMessage(java.lang.String key,
                                              java.lang.String arg0,
                                              java.lang.String arg1,
                                              java.lang.String arg2,
                                              java.lang.String arg3,
                                              java.lang.String arg4)
                                       throws java.util.MissingResourceException

  Get a message from resource.properties from the package of the given object.

  Parameters:
    `key` - The resource key
    `arg0` - The argument to place in variable {0}
    `arg1` - The argument to place in variable {1}
    `arg2` - The argument to place in variable {2}
    `arg3` - The argument to place in variable {3}
    `arg4` - The argument to place in variable {4}
  Returns:
    The formatted message
  Throws:
    `java.util.MissingResourceException`

### getMessage

    public static java.lang.String getMessage(java.lang.String key,
                                              java.lang.String[] args)
                                       throws java.util.MissingResourceException

  Get a message from resource.properties from the package of the given object.

  Parameters:
    `key` - The resource key
    `args` - An array of objects to place in corresponding variables
  Returns:
    The formatted message
  Throws:
    `java.util.MissingResourceException`

### getResourceBundle

    public static java.util.ResourceBundle getResourceBundle()

### getMessageBundle

    public static MessageBundle getMessageBundle()

### getMessageBundle

    public static MessageBundle getMessageBundle(java.lang.String messageBundleKey)

### getMessageFromBundle

    public static java.lang.String getMessageFromBundle(java.lang.String messageBundleKey,
                                                        java.lang.String key)
                                                 throws java.util.MissingResourceException,
                                                        java.lang.Exception

  Get a message from resource.properties from the package of the given object.

  Parameters:
    `messageBundleKey` - The key for getting the correct message bundle.
    `key` - The resource key
  Returns:
    The formatted message
  Throws:
    `java.util.MissingResourceException`
    `java.lang.Exception`

### getMessageFromBundle

    public static java.lang.String getMessageFromBundle(java.lang.String messageBundleKey,
                                                        java.lang.String key,
                                                        java.lang.String arg0)
                                                 throws java.util.MissingResourceException,
                                                        java.lang.Exception

  Get a message from resource.properties from the package of the given object.

  Parameters:
    `messageBundleKey` - The key for getting the correct message bundle.
    `key` - The resource key
    `arg0` - The argument to place in variable {0}
  Returns:
    The formatted message
  Throws:
    `java.util.MissingResourceException`
    `java.lang.Exception`

### getMessageFromBundle

    public static java.lang.String getMessageFromBundle(java.lang.String messageBundleKey,
                                                        java.lang.String key,
                                                        java.lang.String arg0,
                                                        java.lang.String arg1)
                                                 throws java.util.MissingResourceException,
                                                        java.lang.Exception

  Get a message from resource.properties from the package of the given object.

  Parameters:
    `messageBundleKey` - The key for getting the correct message bundle.
    `key` - The resource key
    `arg0` - The argument to place in variable {0}
    `arg1` - The argument to place in variable {1}
  Returns:
    The formatted message
  Throws:
    `java.util.MissingResourceException`
    `java.lang.Exception`

### getMessageFromBundle

    public static java.lang.String getMessageFromBundle(java.lang.String messageBundleKey,
                                                        java.lang.String key,
                                                        java.lang.String arg0,
                                                        java.lang.String arg1,
                                                        java.lang.String arg2)
                                                 throws java.util.MissingResourceException,
                                                        java.lang.Exception

  Get a message from resource.properties from the package of the given object.

  Parameters:
    `messageBundleKey` - The key for getting the correct message bundle.
    `key` - The resource key
    `arg0` - The argument to place in variable {0}
    `arg1` - The argument to place in variable {1}
    `arg2` - The argument to place in variable {2}
  Returns:
    The formatted message
  Throws:
    `java.util.MissingResourceException`
    `java.lang.Exception`

### getMessageFromBundle

    public static java.lang.String getMessageFromBundle(java.lang.String messageBundleKey,
                                                        java.lang.String key,
                                                        java.lang.String arg0,
                                                        java.lang.String arg1,
                                                        java.lang.String arg2,
                                                        java.lang.String arg3)
                                                 throws java.util.MissingResourceException,
                                                        java.lang.Exception

  Get a message from resource.properties from the package of the given object.

  Parameters:
    `messageBundleKey` - The key for getting the correct message bundle.
    `key` - The resource key
    `arg0` - The argument to place in variable {0}
    `arg1` - The argument to place in variable {1}
    `arg2` - The argument to place in variable {2}
    `arg3` - The argument to place in variable {3}
  Returns:
    The formatted message
  Throws:
    `java.util.MissingResourceException`
    `java.lang.Exception`

### getMessageFromBundle

    public static java.lang.String getMessageFromBundle(java.lang.String messageBundleKey,
                                                        java.lang.String key,
                                                        java.lang.String arg0,
                                                        java.lang.String arg1,
                                                        java.lang.String arg2,
                                                        java.lang.String arg3,
                                                        java.lang.String arg4)
                                                 throws java.util.MissingResourceException,
                                                        java.lang.Exception

  Get a message from resource.properties from the package of the given object.

  Parameters:
    `messageBundleKey` - The key for getting the correct message bundle.
    `key` - The resource key
    `arg0` - The argument to place in variable {0}
    `arg1` - The argument to place in variable {1}
    `arg2` - The argument to place in variable {2}
    `arg3` - The argument to place in variable {3}
    `arg4` - The argument to place in variable {4}
  Returns:
    The formatted message
  Throws:
    `java.util.MissingResourceException`
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.